---
import apiClient from '../apiClient.js';
const buildDate = new Date().toISOString();

let articles = null;
try {
	articles = await apiClient.getEntries({content_type: "article"});
} catch (error) {
	console.log(error);
}
---
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width" />
		<title>Astro</title>
		<style>
		body {
			font-family: sans-serif;
			text-align: center;
		}
		</style>
	</head>
	<body>
		<h1>Astro</h1>
		<p>Build datetime : {buildDate}</p>
		{articles ? <ul>{articles.items.map((item) => (<li>{item.fields.title}</li>))}</ul> : ''}
	</body>
</html>